import { Component, ViewEncapsulation } from '@angular/core';
import { MonthService, DayService, WeekService, WorkWeekService, EventSettingsModel, ActionEventArgs, View } from '@syncfusion/ej2-ng-schedule';
import { UrlAdaptor, DataManager } from '@syncfusion/ej2-data';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
  providers: [DayService, WeekService, WorkWeekService, MonthService],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  public showQuickInfo: boolean = false;
  public selectedDate: Date = new Date(2019, 2, 25);
  public currentDate: Date = new Date(2018, 10, 30);
  public newViewMode: View = 'Week';
  public scheduleData: any;   
  public currentdate: Date;
  // private dataManger: DataManager = new DataManager({
  //   url: 'http://localhost:54738/Home/LoadData', // Here passing your REST WEB API load data method
  //   crudUrl: 'http://localhost:54738/Home/UpdateData',
  //   adaptor: new UrlAdaptor
  // });
 // public eventSettings: EventSettingsModel = { dataSource: this.dataManger };
  public eventData: EventSettingsModel = {
    dataSource: [{
        Id: 1,
        Subject: 'Board Meeting',
        StartTime: new Date(2018, 10, 30, 9, 0),
        EndTime: new Date(2018, 10, 30, 11, 0),
        service:'test'
    },
    {
        Id: 2,
        Subject: 'Training session on JSP',
        StartTime: new Date(2018, 10, 30, 15, 0),
        EndTime: new Date(2018, 10, 30, 17, 0)
    },
    {
        Id: 3,
        Subject: 'Sprint Planning with Team members',
        StartTime: new Date(2018, 10, 30, 9, 30),
        EndTime: new Date(2018, 10, 30, 11, 0)
    },
    {
      Id: 4,
      Subject: 'Training session on JSP',
      StartTime: new Date(2018, 11, 30, 15, 0),
      EndTime: new Date(2018, 11, 30, 17, 0)
  }]
  }
  onCreate(args) {
    //   let schArgs = $('#Schedule1').ejSchedule('instance');
    //   setTimeout(function () { schArgs.refreshScroller(); }, 500);
   console.log('called'+args); 
}
// public enableCategorize: Boolean;
// public subject: Object;
// public description: Object;
// public categorize: Object;
// constructor() {
//     this.enableCategorize = true;
//     this.subject = { field: "Subject", validationRules: { required: true } };
//     this.description = { field: "Description", validationRules: { required: true, minlength: 5, maxlength: 500 } };
//     this.categorize = { field: "Categorize", validationRules: { required: true, messages: { required: "Categories are required." } } };
// }
}
